Summary:	A real-time MPEG 1.0/2.0/2.5 audio player for layers 1, 2 and 3
Name:		mpg321
Version:	0.3.2
Release:	%mkrel 13
Group:		Sound/Players
License:	GPLv2+
URL:		https://sourceforge.net/projects/mpg321
Source:		https://downloads.sourceforge.net/%{name}/%{name}_%{version}.orig.tar.gz
Patch0:		mpg321-help.patch
Patch1:		mpg321-0.2.11-set-channel-mapping.patch
# from gentoo
Patch10:	mpg321-0.3.2-format-security.patch
Patch11:	mpg321-0.3.2-CVE-2019-14247.patch
Patch12:	mpg321-0.3.2-gcc10.patch
Patch13:	mpg321-0.3.2-clang16.patch
BuildRequires:	pkgconfig(mad) >= 0.13
BuildRequires:	pkgconfig(ao) >= 0.8.0
BuildRequires:	pkgconfig(id3tag)
BuildRequires:	pkgconfig(alsa)

%description
mpg321 is a Free clone of mpg123, a command-line MP3 player. It is designed to
be a drop-in replacement for mpg123, and therefore its interface has been
designed around that of mpg123, without using any of its code. mpg321 has been
designed for use with front-ends such as gqmpeg, although it is just as useful
on the command-line. Unlike mpg123, it supports ESD and ALSA output without
recompiling, and it does all MP3 decoding with only fixed-point math by using
the mad MPEG audio decoder library.


%prep
%setup -qn %{name}-%{version}-orig
%patch -P 0 -p0
%patch -P 1 -p1
%patch -P 10 -p1
%patch -P 11 -p1
%patch -P 12 -p1
%patch -P 13 -p1
# Fix wrong-file-end-of-line-encoding
sed -i 's/\r//' NEWS

%build
%configure --enable-mpg123-symlink=no # Uncomment option once mainstream.
%make_build

%install
%make_install

%files
%doc BUGS AUTHORS HACKING NEWS
%doc README* THANKS TODO
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.3.2-13.mga10
+ Revision: 2229003
- Mageia 10 Mass Rebuild

* Thu Oct 17 2024 daviddavid <daviddavid> 0.3.2-12.mga10
+ Revision: 2107714
- backport gentoo patches to fix build

* Tue Mar 22 2022 umeabot <umeabot> 0.3.2-11.mga9
+ Revision: 1820191
- Mageia 9 Mass Rebuild

* Sun Jun 28 2020 joequant <joequant> 0.3.2-10.mga8
+ Revision: 1599944
- fix gcc10 build
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 0.3.2-9.mga8
+ Revision: 1515249
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.3.2-8.mga7
+ Revision: 1299622
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 0.3.2-7.mga6
+ Revision: 946944
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.2-6.mga5
+ Revision: 748284
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.2-5.mga5
+ Revision: 682647
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.2-4.mga4
+ Revision: 508052
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.3.2-3.mga3
+ Revision: 360430
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 malo <malo> 0.3.2-2.mga3
+ Revision: 324511
- update RPM group

* Tue Aug 28 2012 fedya <fedya> 0.3.2-1.mga3
+ Revision: 284681
- description more descriptive
- imported package mpg321

